SDL_SetRenderLogicalPresentation(3)

NAME
SDL_SetRenderLogicalPresentation - Set a device independent resolution and presentation mode for rendering.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderLogicalPresentation(SDL_Renderer *renderer, int w, int h, SDL_RendererLogicalPresentation mode, SDL_ScaleMode scale_mode);

DESCRIPTION
This function sets the width and height of the logical rendering output. A render target is created at the specified size and used for rendering and then copied to the output during presentation. You can disable logical coordinates by setting the mode to SDL_LOGICAL_PRESENTATION_DISABLED , and in that case you get the full pixel resolution of the output window. You can convert coordinates in an event into rendering coordinates using SDL_ConvertEventToRenderCoordinates ().

FUNCTION PARAMETERS

renderer
    the rendering context

w   the width of the logical resolution

h   the height of the logical resolution

mode
    the presentation mode used

scale_mode
    the scale mode used

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ConvertEventToRenderCoordinates(3), SDL_GetRenderLogicalPresentation(3)